`Build.GO.graph.from.selected.nodes` <-
function(g, nodes, transitive.closure=TRUE, ontology="BP")  {
  # nodes control
	x <- intersect(nodes, nodes(g));
	y <- setdiff(nodes, nodes(g));
	cat("WARNING: Build.GO.graph.from.selected.nodes: nodes ", y, "not found in the GO universal graph. \n");
	if (transitive.closure==TRUE) {
	   nodes <- GO.transitive.closure(x, ontology);
	}
	subg<-subGraph(nodes,g);
	return(subg);
}
