`Build.list.human.homology.data` <-
function(list.EntrezGeneID=NULL) {
  library(hsahomology);
  if (is.null(list.EntrezGeneID))  {
	# get the Entrez Gene ID from the package humanLLMappings
	   library(humanLLMappings);
	   list.EntrezGeneID<-ls(humanLLMappingsLL2GO);
  }

	# get the list of lists of homology data
	available.EntrezGeneID <- intersect(list.EntrezGeneID,ls(hsahomologyDATA));
	l <- mget(sapply(available.EntrezGeneID,function(x) x),hsahomologyDATA);
	names(l) <- available.EntrezGeneID;
	return(l);
}

