`Build.list.mouse.homology.data` <-
function(list.EntrezGeneID=NULL) {
  library(mmuhomology);
  if (is.null(list.EntrezGeneID)) {
	# get the Entrez Gene ID from the package mouseLLMappings
	   library(mouseLLMappings);
	   list.EntrezGeneID<-ls(mouseLLMappingsLL2GO);
	}

	# get the list of lists of homology data
	available.EntrezGeneID <- intersect(list.EntrezGeneID,ls(mmuhomologyDATA));
	l <- mget(sapply(available.EntrezGeneID,function(x) x),mmuhomologyDATA);
	names(l) <- available.EntrezGeneID;
	return(l);
}

