`Compute.distances.from.root` <-
function(g, ontology="BP") {
  if (ontology=="BP")
  	 start.node <- "GO:0008150"
	else if (ontology=="MF")
  	 start.node <- "GO:0003674"
	else if (ontology=="CC")
  	 start.node <- "GO:0005575"
	else if (ontology=="00")
  	 start.node <- "00"
	else
  	 stop("Compute.distances.from.root: ontology not valid");
	
  l<-dijkstra.sp(g,start.node);
	return (l$distance);
}

