`Get.GO.specific.classes` <-
function(ontology="BP", gene2GO=YEASTGO, evidence="") {
  NamesToGO <- eapply(gene2GO, Select.ontology.evidence, ontology=ontology, evidence=evidence);
  # NamesToGO is a named list of vectors. Each element of the list corresponds to a named yeast gene and the elements
  # of the vector are the corresponding GO classes ID 
	len <- length(NamesToGO);
	j=0;
	for (i in 1:len) {
	  if (!is.null(NamesToGO[[i]])) {
		  j <- j+1;
		  NamesToGO[[j]]<-NamesToGO[[i]];
			names(NamesToGO)[j] <- names(NamesToGO)[i];
		}	
	}
	length(NamesToGO)<-j;
	return(NamesToGO);
}

