`Get.leaf.distribution.by.depth.Funcat.labels` <-
function (g) {
  count.true <- function(x) {
    return(sum(x));
  }
  count.false <- function(x) {
    return(length(x)-sum(x));
  }
	nodes <- nodes(g);
  d <- sapply(nodes,GetFuncatDepth);
	f.d <- factor(d);
	leaves <- sapply(nodes, Is.leaf, g);
	num.leaves <- tapply(leaves,f.d,count.true);
	num.no.leaves <- tapply(leaves,f.d,count.false);	
	ratio.leaves <- num.leaves/(num.leaves + num.no.leaves);
	res <- list(num.levels=length(levels(f.d)), num.leaves.per.level=num.leaves, num.no.leaves.per.level=num.no.leaves, ratio.leaves.per.level=ratio.leaves);	
	return(res);
}

