\name{Code.homology.org}
\alias{Code.homology.org}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Coding species names to integer }
\description{
  It finds all the homologous species from the list of lists of homology data and code the organism names to integers.
	The list of lists of homology data may be obtained from e.g. \code{Build.list.human.homology.data} or other similar functions
	for the species A. thaliana, yeast and mouse.
  It returns an evironment that associates the species name with an integer
}
\usage{
Code.homology.org(l)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{l}{ a list of lists of homology data }
}
\value{
  An environment that associates a three character identifier of a species with an integer
}
\seealso{ \code{\link{Build.list.human.homology.data}}, \code{\link{Build.list.mouse.homology.data}} }
\examples{
l<-Build.list.arabidopsis.homology.data();
sp2code <- Code.homology.org(l);
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ manip }
