\name{Subtree.nodes}
\alias{Subtree.nodes}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Selection of subtree nodes in FunCat trees  }
\description{
  It returns the nodes of the subtree(s) associated to  given node(s)
	in FunCat trees.
}
\usage{
Subtree.nodes(g, nodes)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{g}{ a graph representing the tree }
  \item{nodes}{ a set of nodes from which the subtrees are obtained }
}
\value{
  a vector of the nodes belonging to the subtree
}
\seealso{ \code{\link{Select.Funcat.classes.by.depth}},  \code{\link{Select.functional.classes.by.cardinality}}}
\examples{
# Selection of the nodes of the FunCat subtree rooted in the node "01" (Metabolism)
gUniversalFuncat <- Do.universal.tree.Funcat();
s01.nodes <- Subtree.nodes(gUniversalFuncat, "01");
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ graphs }
