`Build.Funcat.Table.labels` <-
function(NamesToFuncat, store=FALSE, file="Table.gene.Funcat.classes.rda") {
   Extract.rows <- function(x) {
     ii<<-ii+1; 
	   x[NamesToFuncat[[ii]]] <-1;
	   return(x);
   }
   Gene.names <- names(NamesToFuncat);
	 l <- Code.decode.classes(NamesToFuncat);
	 nrows <- length(Gene.names);
	 ncol<-(length(l[[1]]));
	 class.labels <- matrix(integer(nrows*ncol),nrow=nrows);
	 rownames(class.labels) <- Gene.names;
	 colnames(class.labels) <- l[[1]];
	 ii<<-0; 
   res <- apply(class.labels,1,Extract.rows);  
	 class.labels <- as.data.frame(t(res));  
	 if (store) 
	   save(class.labels, file=file);
	 rm(ii, pos=.GlobalEnv);
	 return(class.labels);
}

