`Build.list.arabidopsis.homology.data` <-
function(list.HGID=NULL) {
  library(athhomology);
  if (is.null(list.HGID))
	# get the Entrez Gene ID from the package athhomology
	   list.HGID<-athhomologyHGID;

	# get the list of lists of homology data
	available.HGID <- intersect(list.HGID,athhomologyHGID);
	l <- mget(sapply(available.HGID,function(x) x),athhomologyDATA);
	names(l) <- available.HGID;
	return(l);
}

