`Get.Funcat.specific.classes` <-
function(GeneID2Funcat, evidence="") {  
  GeneNamesToFuncat <- eapply(GeneID2Funcat, Select.Funcat.evidence, evidence=evidence);
  # GeneNamesToFuncat is a named list of vectors. Each element of the list corresponds to a named  gene and the elements
  # of the vector are the corresponding Funcat classes ID 
	len <- length(GeneNamesToFuncat);
	j=0;
	for (i in 1:len) {
	  if (!is.null(GeneNamesToFuncat[[i]])) {
		  j <- j+1;
		  GeneNamesToFuncat[[j]]<-GeneNamesToFuncat[[i]];
			names(GeneNamesToFuncat)[j] <- names(GeneNamesToFuncat)[i];
		}	
	}
	length(GeneNamesToFuncat)<-j;
	return(GeneNamesToFuncat);
}

