\name{Build.universal.graph.ontology}
\alias{Build.universal.graph.ontology.down}
\alias{Build.universal.graph.ontology.up}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Construction of the graph of an overall GO ontology }
\description{
  It builds the DAG of an given GO ontology; both the BP (Biological Process), the MF (Molecular Function) and CC 
	(Cellular Component) ontologies may be represented. 
  
}
\usage{
Build.universal.graph.ontology.down(ontology = "BP")
Build.universal.graph.ontology.up(ontology = "BP")
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{ontology}{ it may be one of the following character vectors: BP (default), MF, CC }
}
\details{
The direction of the edges are from  parent to child (from the less to the more specific GO term) for the function 
	\code{Build.universal.graph.ontology.down}. The function \code{Build.universal.graph.ontology.up} builds a DAG
	with the edges from children to parents.
}
\value{
  a graph of class graphNEL of the corresponding ontology 
}

\examples{
# bulding of the Cellular component GO ontology
g.CC <- Build.universal.graph.ontology.down("CC");
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ graphs }

