\name{MOUSEGO}
\alias{MOUSEGO}
\docType{data}
\title{ Mouse Entrez Gene ID identifiers to Gene Ontology (GO) mapping}
\description{
  This environment provides a mapping between Mus musculus genes and GO terms.
}
\usage{data(MOUSEGO)}
\format{
 An environment (hash table) with 19354 entries
}
\details{
  The environment provides GO annotations for mouse genes.
EntrezGene identifiers are Keys and GO terms Values.
More precisely each Value is a list of lists. Each element of the outer list represent a mapping
to a GO term. The elements of the inner list are:
\item  GOID :GO Identifier
\item  Evidence : Evidence code
\item  Ontology : "BP", "MF" or "CC"  
}
\source{
The environment is built using the Bioconductor environments \code{mouseLLMappingsLL2GO} and   \code{GOENTREZID2GO}.
}
\examples{
data(MOUSEGO) 
get("53970",MOUSEGO);
}
\keyword{datasets}
