\name{Map.FID2Term}
\alias{FID2TERM}
\alias{TERM2FID}
\docType{data}
\title{ Environments mapping Funcat class ID to the corresponding Funcat functional term and viceversa}
\description{
  The environments realize a mapping between Funcat class ID and the description of the corresponding Funcat functional terms
}
\usage{
data(FID2TERM)
data(TERM2FID)}
\format{
  Environments (hash table) mapping Funcat ID (character vector) to their description (character vector) and viceverca
}
\source{
 These environments are based on scheme 2.1 of FunCat (\url{http://mips.gsf.de/projects/funcat}).
}
\note{
A dummy root node with Funcat ID 00 is added.
The node 40.02.03 (child of 40.02) is present, while its parent 40.02 not; to avoid inconsistencies 
a new entry 40.02 has been added to the funcat-2.1\_scheme
}
\examples{
data(FID2TERM);
data(TERM2FID);
}
\keyword{datasets}
