\name{YEASTFUNCAT}
\alias{YEASTFUNCAT}
\docType{data}
\title{ Yeast ORF identifiers to FunCat mapping}
\description{
This environment provides a mapping between \emph{S. cerevisiae} genes and FunCat classes
}
\usage{data(YEASTFUNCAT)
}
\format{
An environment (hash table) with 6167 entries
}
\details{
Each entry associates the ORF ID to the the list of the Funcat ID and  the associated evidence code:
\item  FuncatID : FunCat Identifier
\item  Evidence : FunCat evidence code
}
\source{
It is conformed to the Funcat funcat-2.1 scheme with the funcat-2.1\_data\_20070316, available from:
\url{ftp://ftpmips.gsf.de/yeast/catalogues/funcat/funcat-2.1_data_20070316} 
}
\examples{
data(YEASTFUNCAT)
get("YGR036C",YEASTFUNCAT)
}
\keyword{datasets}
